local HOME = os.getenv("HOME")

vim.opt.number = true
vim.opt.hlsearch = false
vim.opt.relativenumber = true
vim.opt.tabstop = 2
vim.opt.softtabstop = 2
vim.opt.shiftwidth = 2
vim.opt.expandtab = true
vim.opt.smartindent = true
vim.opt.swapfile = false
vim.opt.undodir = HOME .. "/.vim/undodir"
vim.opt.undofile = true
vim.opt.scrolloff = 8
vim.opt.showmode = false
vim.opt.winblend = 0
vim.opt.wildoptions = "pum"
vim.opt.pumblend = 5
vim.opt.background = "dark"
vim.opt.cursorline = true
vim.opt.cmdheight = 2
vim.opt.hidden = true
vim.opt.termguicolors = true

vim.cmd([[
syntax on
syntax enable
colorscheme onedark
hi CursorLine cterm=NONE ctermbg=237 ctermfg=NONE
]])
